﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.2503
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace TIES.WebUI 
{
	using System;
	using System.ComponentModel;
	using CrystalDecisions.Shared;
	using CrystalDecisions.ReportSource;
	using CrystalDecisions.CrystalReports.Engine;
    
    
	public class CustomsJobDetail : ReportClass 
	{
        
		public CustomsJobDetail() 
		{
		}
        
		private string resourceName="CustomsJobDetail.rpt";

		public override string ResourceName 
		{
			get 
			{
				return resourceName;
			}
			set 
			{
				resourceName = value;
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.CrystalReports.Engine.Section Section1 
		{
			get 
			{
				return this.ReportDefinition.Sections[0];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.CrystalReports.Engine.Section Section2 
		{
			get 
			{
				return this.ReportDefinition.Sections[1];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.CrystalReports.Engine.Section Section3 
		{
			get 
			{
				return this.ReportDefinition.Sections[2];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.CrystalReports.Engine.Section Section4 
		{
			get 
			{
				return this.ReportDefinition.Sections[3];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.CrystalReports.Engine.Section Section5 
		{
			get 
			{
				return this.ReportDefinition.Sections[4];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_enterpriseid 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[0];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_userloggedin 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[1];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_StartDate 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[2];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_EndDate 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[3];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_DateType 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[4];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_JobEntryNo 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[5];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_HouseAWBNo 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[6];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_MasterAWBNo 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[7];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_SearchMAWBinJobEntry 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[8];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_CustomerID 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[9];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_CustomerGroup 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[10];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_BondedWarehouse 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[11];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_DischargePort 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[12];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_JobStatus 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[13];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_SearchStatusNotAchieved 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[14];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_EntryType 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[15];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_ShipFlightNo 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[16];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_ExporterName 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[17];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_FolioNumber 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[18];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_ChequeReqNo 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[19];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_AssignedProfile 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[20];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_ReceiptNumber 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[21];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_CustomsDeclarationNo 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[22];
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public CrystalDecisions.Shared.IParameterField Parameter_DutyTaxNotOnChequeReq 
		{
			get 
			{
				return this.DataDefinition.ParameterFields[23];
			}
		}
	}
    
	[System.Drawing.ToolboxBitmapAttribute(typeof(CrystalDecisions.Shared.ExportOptions), "report.bmp")]
	public class CachedCustomsJobDetail : Component, ICachedReport 
	{
        
		public CachedCustomsJobDetail() 
		{
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public virtual bool IsCacheable 
		{
			get 
			{
				return true;
			}
			set 
			{
				// 
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public virtual bool ShareDBLogonInfo 
		{
			get 
			{
				return false;
			}
			set 
			{
				// 
			}
		}
        
		[Browsable(false)]
		[DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
		public virtual System.TimeSpan CacheTimeOut 
		{
			get 
			{
				return CachedReportConstants.DEFAULT_TIMEOUT;
			}
			set 
			{
				// 
			}
		}
        
		public virtual CrystalDecisions.CrystalReports.Engine.ReportDocument CreateReport() 
		{
			CustomsJobDetail rpt = new CustomsJobDetail();
			rpt.Site = this.Site;
			return rpt;
		}
        
		public virtual string GetCustomizedCacheKey(RequestContext request) 
		{
			String key = null;
			// // The following is the code used to generate the default
			// // cache key for caching report jobs in the ASP.NET Cache.
			// // Feel free to modify this code to suit your needs.
			// // Returning key == null causes the default cache key to
			// // be generated.
			// 
			// key = RequestContext.BuildCompleteCacheKey(
			//     request,
			//     null,       // sReportFilename
			//     this.GetType(),
			//     this.ShareDBLogonInfo );
			return key;
		}
	}
}
